# Evoc

Evoc is now using [semantic versioning](http://semver.org/)

## Instructions for installing Ruby

1. install ruby version manager (rvm)

```
    gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3
    curl -sSL https://get.rvm.io | bash -s stable
    source /home/ubuntu/.rvm/scripts/rvm
```

2. install ruby

```
    rvm install ruby-2.2.0
    rvm --default use ruby-2.2.0
```

## Instructions for installing Evoc

1. clone the evoc repo

```
    git clone git@bitbucket.org:evolveit/evoc.git 
```

2. (linux) install atlas (used for svd, can be skipped)

```
    sudo apt-get install libatlas-base-dev
```
2. (mac) install gcc49 (used for svd, can be skipped)

```
    brew install gcc49
```

3. install bundler

```
    gem install bundler
```

4. install gem dependencies for evoc (using bundler)

```
    cd 'evoc folder'
    bundle install
```



5. install evoc

```
    cd 'evoc folder'
    rake install
```
